Package org.eclipse.net4j.util.om.monitor

## Class ProgressDistributable.Default<CONTEXT>

- java.lang.Object
- - org.eclipse.net4j.util.om.monitor.ProgressDistributable.Default<CONTEXT>

- All Implemented Interfaces:
    `ProgressDistributable<CONTEXT>`
  Enclosing interface:
    ProgressDistributable<CONTEXT>

      public abstract static class ProgressDistributable.Default<CONTEXT>
      extends java.lang.Object
      implements ProgressDistributable<CONTEXT>

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.om.monitor.ProgressDistributable

      `ProgressDistributable.Default<CONTEXT>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Default()` |
    `Default​(int loopCount, double loopWork)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getLoopCount​(CONTEXT context)` |
    `double` | `getLoopWork​(CONTEXT context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.om.monitor.ProgressDistributable

      `runLoop`

- - ### Constructor Detail

    - #### Default

          public Default()

    - #### Default

          public Default​(int loopCount,
                         double loopWork)

  - ### Method Detail

    - #### getLoopCount

          public int getLoopCount​(CONTEXT context)

      Specified by:
        `getLoopCount` in interface `ProgressDistributable<CONTEXT>`

    - #### getLoopWork

          public double getLoopWork​(CONTEXT context)

      Specified by:
        `getLoopWork` in interface `ProgressDistributable<CONTEXT>`